Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Interface Method

All Known Subinterfaces:
  AMQP.Access.Request, AMQP.Access.RequestOk, AMQP.Basic.Ack, AMQP.Basic.Cancel, AMQP.Basic.CancelOk, AMQP.Basic.Consume, AMQP.Basic.ConsumeOk, AMQP.Basic.Deliver, AMQP.Basic.Get, AMQP.Basic.GetEmpty, AMQP.Basic.GetOk, AMQP.Basic.Nack, AMQP.Basic.Publish, AMQP.Basic.Qos, AMQP.Basic.QosOk, AMQP.Basic.Recover, AMQP.Basic.RecoverAsync, AMQP.Basic.RecoverOk, AMQP.Basic.Reject, AMQP.Basic.Return, AMQP.Channel.Close, AMQP.Channel.CloseOk, AMQP.Channel.Flow, AMQP.Channel.FlowOk, AMQP.Channel.Open, AMQP.Channel.OpenOk, AMQP.Confirm.Select, AMQP.Confirm.SelectOk, AMQP.Connection.Close, AMQP.Connection.CloseOk, AMQP.Connection.Open, AMQP.Connection.OpenOk, AMQP.Connection.Secure, AMQP.Connection.SecureOk, AMQP.Connection.Start, AMQP.Connection.StartOk, AMQP.Connection.Tune, AMQP.Connection.TuneOk, AMQP.Exchange.Bind, AMQP.Exchange.BindOk, AMQP.Exchange.Declare, AMQP.Exchange.DeclareOk, AMQP.Exchange.Delete, AMQP.Exchange.DeleteOk, AMQP.Exchange.Unbind, AMQP.Exchange.UnbindOk, AMQP.Queue.Bind, AMQP.Queue.BindOk, AMQP.Queue.Declare, AMQP.Queue.DeclareOk, AMQP.Queue.Delete, AMQP.Queue.DeleteOk, AMQP.Queue.Purge, AMQP.Queue.PurgeOk, AMQP.Queue.Unbind, AMQP.Queue.UnbindOk, AMQP.Tx.Commit, AMQP.Tx.CommitOk, AMQP.Tx.Rollback, AMQP.Tx.RollbackOk, AMQP.Tx.Select, AMQP.Tx.SelectOk

All Known Implementing Classes:
  AMQImpl.Access.Request, AMQImpl.Access.RequestOk, AMQImpl.Basic.Ack, AMQImpl.Basic.Cancel, AMQImpl.Basic.CancelOk, AMQImpl.Basic.Consume, AMQImpl.Basic.ConsumeOk, AMQImpl.Basic.Deliver, AMQImpl.Basic.Get, AMQImpl.Basic.GetEmpty, AMQImpl.Basic.GetOk, AMQImpl.Basic.Nack, AMQImpl.Basic.Publish, AMQImpl.Basic.Qos, AMQImpl.Basic.QosOk, AMQImpl.Basic.Recover, AMQImpl.Basic.RecoverAsync, AMQImpl.Basic.RecoverOk, AMQImpl.Basic.Reject, AMQImpl.Basic.Return, AMQImpl.Channel.Close, AMQImpl.Channel.CloseOk, AMQImpl.Channel.Flow, AMQImpl.Channel.FlowOk, AMQImpl.Channel.Open, AMQImpl.Channel.OpenOk, AMQImpl.Confirm.Select, AMQImpl.Confirm.SelectOk, AMQImpl.Connection.Close, AMQImpl.Connection.CloseOk, AMQImpl.Connection.Open, AMQImpl.Connection.OpenOk, AMQImpl.Connection.Secure, AMQImpl.Connection.SecureOk, AMQImpl.Connection.Start, AMQImpl.Connection.StartOk, AMQImpl.Connection.Tune, AMQImpl.Connection.TuneOk, AMQImpl.Exchange.Bind, AMQImpl.Exchange.BindOk, AMQImpl.Exchange.Declare, AMQImpl.Exchange.DeclareOk, AMQImpl.Exchange.Delete, AMQImpl.Exchange.DeleteOk, AMQImpl.Exchange.Unbind, AMQImpl.Exchange.UnbindOk, AMQImpl.Queue.Bind, AMQImpl.Queue.BindOk, AMQImpl.Queue.Declare, AMQImpl.Queue.DeclareOk, AMQImpl.Queue.Delete, AMQImpl.Queue.DeleteOk, AMQImpl.Queue.Purge, AMQImpl.Queue.PurgeOk, AMQImpl.Queue.Unbind, AMQImpl.Queue.UnbindOk, AMQImpl.Tx.Commit, AMQImpl.Tx.CommitOk, AMQImpl.Tx.Rollback, AMQImpl.Tx.RollbackOk, AMQImpl.Tx.Select, AMQImpl.Tx.SelectOk, Method

    public interface Method

Public interface to objects representing an AMQP method - see the spec for details.

Method Summary
`int` | `protocolClassId()` Retrieve the protocol class ID
`int` | `protocolMethodId()` Retrieve the protocol method ID
`java.lang.String` | `protocolMethodName()` Retrieve the method name

Method Detail

### protocolClassId

    int protocolClassId()

  Retrieve the protocol class ID

  Returns:
    the AMQP protocol class ID of this Method

### protocolMethodId

    int protocolMethodId()

  Retrieve the protocol method ID

  Returns:
    the AMQP protocol method ID of this Method

### protocolMethodName

    java.lang.String protocolMethodName()

  Retrieve the method name

  Returns:
    the AMQP protocol method name of this Method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD